Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::SensorClass Struct Reference

Specification of sensor class that stores sensor properties. More...

Inheritance diagram for peripheral::GatewaySensorManager::SensorClass:

## Public Attributes
string | classId
| sensor class id

## Detailed Description

Specification of sensor class that stores sensor properties.

Before an instance of Sensor can be created, an instance of SensorClass must be present. The Sensor locates the corresponding SensorClass using the sensor class id `classId`.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl